
library(ncdf4)

#path <- '/esarchive/recon/ecmwf/erainterim/daily_mean/tas/'
#file <- 'tas_201801.nc'

read_netcdf <- function(var_name, path, file) {

nc_data <- nc_open(paste0(path,file))

#nc_data <- nc_open('/esarchive/recon/ecmwf/erainterim/daily_mean/tas/tas_201801.nc')

lon <- ncvar_get(nc_data, "longitude")
lat <- ncvar_get(nc_data, "latitude")
t <- ncvar_get(nc_data, "time")
var <- ncvar_get(nc_data, var_name)

message("dimension of variable:")
print(dim(var))

nc_close(nc_data)

return(var)
}
